<?php
namespace Magento\Ui\Component\Form;

/**
 * Interceptor class for @see \Magento\Ui\Component\Form
 */
class Interceptor extends \Magento\Ui\Component\Form implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Framework\View\Element\UiComponent\ContextInterface $context, \Magento\Framework\Api\FilterBuilder $filterBuilder, array $components = [], array $data = [])
    {
        $this->___init();
        parent::__construct($context, $filterBuilder, $components, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getDataSourceData()
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getDataSourceData');
        return $pluginInfo ? $this->___callPlugins('getDataSourceData', func_get_args(), $pluginInfo) : parent::getDataSourceData();
    }
}
